import request from '@/utils/request'

export function listInRecord(query) {
  return request({ url: '/warehouse/in/list', method: 'get', params: query })
}

export function getInRecord(id) {
  return request({ url: '/warehouse/in/' + id, method: 'get' })
}

export function addInRecord(data) {
  return request({ url: '/warehouse/in', method: 'post', data })
}

export function updateInRecord(data) {
  return request({ url: '/warehouse/in', method: 'put', data })
}

export function delInRecord(id) {
  return request({ url: '/warehouse/in/' + id, method: 'delete' })
}

export function confirmInRecord(id) {
  return request({ url: '/warehouse/in/confirm/' + id, method: 'put' })
}
